<?php
namespace FLXDashboardGroups;

if(!defined('WPINC')) die;

$settings = SettingsModule::$settings;
$tabs = [
    'plugins' => (!empty($settings['enable_plugins_groups'])) ? __('Plugins Groups') : null,
    'pages' => (!empty($settings['enable_pages_groups'])) ? __('Pages Groups') : null,
    'media' => (!empty($settings['enable_medias_groups'])) ? __('Medias Groups') : null,
    'settings' => __('Settings')
];
$tabs = array_filter($tabs);
$currentTab = (isset($_GET['tab']) && isset($tabs[$_GET['tab']])) ? $_GET['tab'] : array_keys($tabs)[0];

$tabNav = [];
foreach($tabs as $tab => $title){
    $tabNav[] = ($tab == $currentTab)
        ? '<b>'.$title.'</b>'
        : ' <a href="?page=flx_dashboard_groups&tab='.$tab.'">'.$title.'</a>';
}
$tabNav = '<nav>'.implode(' | ', $tabNav).'</nav>';

?>
<div class="wrap flxdg-admin-page">
    <h1>
        FLX Dashboard Groups
        <em style="font-size:0.5em;"><?php echo FLX_DASHBOARD_GROUPS_VERSION; ?> 🙉</em>
    </h1>
    <br>
    <?php echo $tabNav; ?>
    <br>
    <?php
        switch($currentTab){
            default:
            case 'plugins':
                if($this->pluginsGroupsModule) $this->pluginsGroupsModule->display();
                break;
            case 'pages':
                if($this->pagesGroupsModule) $this->pagesGroupsModule->display();
                break;
            case 'media':
                ?>
                <form>
                    <fieldset disabled style="opacity:0.6">
                        <h2>Medias Groups (soon)</h2>
                    </fieldset>
                </form>
                <?php
                break;
            case 'settings':
                $this->settingsModule->display();
                break;
        }
    ?>
</div>