<?php
namespace FLXDashboardGroups;

class FLXDashboardGroups {
    
	protected $loader;
	protected $plugin_name;
	protected $version;
	private $plugin_admin;
	
	public function __construct() {
        $this->version = (defined('FLX_DASHBOARD_GROUPS_VERSION'))
            ? FLX_DASHBOARD_GROUPS_VERSION
            : '0.0.1';
		$this->plugin_name = 'flx_dashboard_groups';
		$this->plugin_admin = new PluginAdmin($this->plugin_name, $this->version);
    }
    
    public function init(){
		$this->loader = new PluginLoader();
        $this->set_locale();
        $this->define_admin_hooks();
		if($this->loader) $this->loader->run();
    }

	private function set_locale() {
		$plugin_i18n = new PluginLanguages();
		$this->loader->add_action( 'plugins_loaded', $plugin_i18n, 'load_plugin_textdomain' );
	}
	
	private function define_admin_hooks() {
		$this->loader->add_action('admin_enqueue_scripts', $this->plugin_admin, 'enqueue_styles' );
		$this->loader->add_action('admin_enqueue_scripts', $this->plugin_admin, 'enqueue_scripts' );
	}
	
	public function admin_menu() {
        $this->plugin_admin->add_menu();
    }
    
	public function run() {
	}

	public function get_plugin_name() {
		return $this->plugin_name;
	}

	public function get_loader() {
		return $this->loader;
	}

	public function get_version() {
		return $this->version;
	}

}
